Page MenuHomePhabricator

CacheTime.php Undefined index Version
Closed, ResolvedPublicPRODUCTION ERROR

Description

103 of these in the last hour.

Error message
ErrorException: PHP Notice: Undefined index: Version
Stack Trace
from /srv/mediawiki/php-1.36.0-wmf.27/includes/parser/CacheTime.php(288)
#0 /srv/mediawiki/php-1.36.0-wmf.27/includes/parser/CacheTime.php(288): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.36.0-wmf.27/includes/parser/CacheTime.php(266): CacheTime->initFromJson(MediaWiki\Json\JsonCodec, array)
#2 /srv/mediawiki/php-1.36.0-wmf.27/includes/json/JsonCodec.php(69): CacheTime::newFromJsonArray(MediaWiki\Json\JsonCodec, array)
#3 /srv/mediawiki/php-1.36.0-wmf.27/includes/parser/ParserCache.php(638): MediaWiki\Json\JsonCodec->unserialize(array, string)
#4 /srv/mediawiki/php-1.36.0-wmf.27/includes/parser/ParserCache.php(292): ParserCache->restoreFromJson(string, string, string)
#5 /srv/mediawiki/php-1.36.0-wmf.27/includes/parser/ParserCache.php(371): ParserCache->getMetadata(WikiPage, integer)
#6 /srv/mediawiki/php-1.36.0-wmf.27/includes/page/ParserOutputAccess.php(190): ParserCache->get(WikiPage, ParserOptions)
#7 /srv/mediawiki/php-1.36.0-wmf.27/includes/page/Article.php(664): MediaWiki\Page\ParserOutputAccess->getCachedParserOutput(WikiPage, ParserOptions, NULL, integer)
#8 /srv/mediawiki/php-1.36.0-wmf.27/includes/page/Article.php(575): Article->generateContentOutput(User, ParserOptions, integer, OutputPage, array)
#9 /srv/mediawiki/php-1.36.0-wmf.27/includes/actions/ViewAction.php(74): Article->view()
#10 /srv/mediawiki/php-1.36.0-wmf.27/includes/MediaWiki.php(532): ViewAction->show()
#11 /srv/mediawiki/php-1.36.0-wmf.27/includes/MediaWiki.php(316): MediaWiki->performAction(Article, Title)
#12 /srv/mediawiki/php-1.36.0-wmf.27/includes/MediaWiki.php(944): MediaWiki->performRequest()
#13 /srv/mediawiki/php-1.36.0-wmf.27/includes/MediaWiki.php(548): MediaWiki->main()
#14 /srv/mediawiki/php-1.36.0-wmf.27/index.php(53): MediaWiki->run()
#15 /srv/mediawiki/php-1.36.0-wmf.27/index.php(46): wfIndexMain()
#16 /srv/mediawiki/w/index.php(3): require(string)
#17 {main}

Details

Request ID
YBCFIApAMNcAA34DLvkAAAAH
Request URL
www.mediawiki.org/w/index.php?printable=yes&title=Project%3ALanguage_policy

Event Timeline

dancy created this task.Jan 26 2021, 9:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2021, 9:15 PM
RhinosF1 triaged this task as Unbreak Now! priority.Jan 26 2021, 9:32 PM
RhinosF1 added a subscriber: RhinosF1.

Train blocker = UBN

daniel added a subscriber: daniel.Jan 26 2021, 9:38 PM

This is probably due to some cleanup @Pchelolo and I have been doing. We'll check it out. Should be easy to fix.

daniel added a comment.EditedJan 26 2021, 9:53 PM

Did the train get rolled back? If so, rolling it forward again should fix this I think.

It did. That error is actually from .27 looking at the trace so post rollback.

Change 658688 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/core@wmf/1.36.0-wmf.27] CacheTime: Extra protection for rollback unserialization

https://gerrit.wikimedia.org/r/658688

The patch above could be merged for wmf.27 (not relevant on master or wmf.28) just in case we'd need to roll back again after rolling forward. It will make it safe to rollback.

dancy lowered the priority of this task from Unbreak Now! to Low.Jan 26 2021, 11:37 PM

Thanks Pchelolo!

The patch above could be merged for wmf.27 (not relevant on master or wmf.28) just in case we'd need to roll back again after rolling forward. It will make it safe to rollback.

Everything's on wmf.28 as of right now, but I just realized this didn't get merged; I'm going to sync just in case a rollback becomes necessary.

Change 658688 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.27] CacheTime: Extra protection for rollback unserialization

https://gerrit.wikimedia.org/r/658688

Mentioned in SAL (#wikimedia-operations) [2021-01-28T22:43:28Z] <brennen@deploy1001> Synchronized php-1.36.0-wmf.27/includes/parser/CacheTime.php: [[gerrit:658688|CacheTime: Extra protection for rollback unserialization (T273007)]] (duration: 00m 57s)

brennen closed this task as Resolved.Jan 28 2021, 10:46 PM
brennen claimed this task.
brennen reassigned this task from brennen to Pchelolo.
dancy reopened this task as Open.Fri, Jan 29, 10:15 PM
dancy raised the priority of this task from Low to Unbreak Now!.

Mentioned in SAL (#wikimedia-operations) [2021-01-29T22:20:33Z] <reedy@deploy1001> Synchronized php-1.36.0-wmf.27/includes/parser/CacheTime.php: CacheTime: Extra protection for rollback unserialization T273007 (duration: 01m 00s)

dancy closed this task as Resolved.Fri, Jan 29, 10:59 PM